Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
  • Oct 14 21:13
    greenkeeper[bot] labeled #5378
  • Oct 14 21:12
    greenkeeper[bot] opened #5378
  • Oct 14 21:12

    greenkeeper[bot] on can-simple-map-4.3.3

    fix(package): update can-simple… (compare)

  • Oct 14 20:19
    greenkeeper[bot] labeled #5377
  • Oct 14 20:19
    greenkeeper[bot] opened #5377
  • Oct 14 20:19

    greenkeeper[bot] on @feathersjs

    chore(package): update @feather… (compare)

  • Oct 14 20:18
    greenkeeper[bot] labeled #5376
  • Oct 14 20:18
    greenkeeper[bot] opened #5376
  • Oct 14 20:18

    greenkeeper[bot] on @feathersjs

    chore(package): update @feather… (compare)

  • Oct 14 14:43
    greenkeeper[bot] closed #5373
  • Oct 14 14:43

    greenkeeper[bot] on can-deep-observable-1.0.1

    (compare)

  • Oct 14 14:42

    m-mujica on update-deep-observable

    (compare)

  • Oct 14 14:42

    m-mujica on master

    Update can-deep-observable to l… Merge pull request #5374 from c… (compare)

  • Oct 14 14:42
    m-mujica closed #5374
  • Oct 14 14:42
    m-mujica closed #5365
  • Oct 14 14:09
    f-ricci starred canjs/canjs
  • Oct 14 13:55
    greenkeeper[bot] commented #5375
  • Oct 14 13:55

    greenkeeper[bot] on core-js-3.3.2

    chore(package): update core-js … (compare)

  • Oct 14 10:51
    m-mujica review_requested #5374
  • Oct 14 07:43
    rjgotten commented #5358
Christopher Oliphant
@RALifeCoach
I think there is some other problem. It still can’t find cfg.main

/git/pgatour-cq-v2/front-end/node_modules/steal-tools/lib/graph/make_graph_with_bundles.js:83
if( Array.isArray(cfg.main) ) {
^

TypeError: Cannot read property 'main' of undefined
at module.exports (/git/pgatour-cq-v2/front-end/node_modules/steal-tools/lib/graph/make_graph_with_bundles.js:83:23)

We haven’t found the magic syntax yet.
Leath Cooper
@IcculusC
looks like it cant' find your package.json at all?
Christopher Oliphant
@RALifeCoach
that’s a possibility
the package json is in the same folder that I’m running the node build.js from
Help??!??
Leath Cooper
@IcculusC
I'm at a loss lol
I haven't tried building naything in production so I hve no idea
Christopher Oliphant
@RALifeCoach
@IcculusC I appreciate your attempts to help.
Leath Cooper
@IcculusC
hey it's a collaborative industry it's how we all learn
is that supposed to say "sausage of loose coupling"
definitely never heard that term
Thomas Sieverding
@Bajix
Yea; that should say something more akin to "This is where we Monkey Patch."
Leath Cooper
@IcculusC
lol
Matthew Phillips
@matthewp
All true, but no better way that I can think of
if you want more than one map type, for example
Appreciate the feedback everyone :) Thanks for beta testing canjs 3.0
Leath Cooper
@IcculusC
I just want to know what "sausage of loose coupling" means
sounds yummy
also sounds like someone asked whoever was writing the docs what they wanted for breakfast while they were typing them
Matthew Phillips
@matthewp
hah, i didn't write that one, not familiar with the term
Thomas Sieverding
@Bajix
I like my monkey patching w/ a side of sausage pl0x
Matthew Phillips
@matthewp
it's a way for a package like can-route to be able to create Maps without depending on can-define or can-map, etc.
Christopher Oliphant
@RALifeCoach
I am still trying to get build to work
Matthew Phillips
@matthewp
@RALifeCoach what does your build script look like
Christopher Oliphant
@RALifeCoach
var stealTools = require("steal-tools");

stealTools.build();
Matthew Phillips
@matthewp
I think there's a bug, make that be
stealTools.build({ config: __dirname + "/package.json!npm" });
instead
I think config is required in the build
even though it probably shouldn't be
got to go, if that is it drop me a note so I can fix the docs tomorrow
Christopher Oliphant
@RALifeCoach
Error loading "can/view/stache/add_bundles" at file:/git/pgatour-cq-v2/front-end/can/view/stache/add_bundles.js
Error loading "can/view/stache/add_bundles" from "done-autorender@0.8.0#autorender" at file:/git/pgatour-cq-v2/front-end/node_modules/done-autorender/src/autorender.js
ENOENT: no such file or directory, open '/git/pgatour-cq-v2/front-end/can/view/stache/add_bundles.js'
I have moved forward
Christopher Oliphant
@RALifeCoach
But not very far forward
Leath Cooper
@IcculusC
is can/view/stache not 2.x
Justin Meyer
@justinbmeyer
@RALifeCoach are you trying to build a 2.3 or 3.0 app?
it also seems you are trying to build a DoneJS app
I don't think you're getting started, so I'm not sure where these problems suddenly sprung up. If you're making a DoneJS app, the guides work and should create a working boilerplate app. But again, I'm not sure where you are. Did you create a forum post?
there is no can/view/stache in 3.0
Justin Meyer
@justinbmeyer
just pushed out some more docs updates: http://canjs.github.io/canjs/ ... lots of little fixes in can-connect, can-stache-bindings updates, can-set updates
Christopher Oliphant
@RALifeCoach
@justinbmeyer I am trying to build 3.0 can app
Christopher Oliphant
@RALifeCoach
I am able to get the build to work! New question. I want the build to separate out can files amd non-can files
@justinbmeyer ^^
Matthew Phillips
@matthewp
@RALifeCoach why?
I don't think we have a way to allow you to customize the build in that way
Christopher Oliphant
@RALifeCoach
because these modules fit into a larger infrastructure
They become components in a CMS